# Class JsonNioClient.TouchHandler

java.lang.Object
org.openscience.jmol.app.jsonkiosk.JsonNioClient.TouchHandler

Enclosing interface:
  `JsonNioClient`

public static class JsonNioClient.TouchHandler extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`isPaused`
`long`
`latestMoveTime`
`int`
`nFast`
`long`
`previousMoveTime`
`static final int`
`swipeCount`
`static final float`
`swipeCutoff`
`static final float`
`swipeDelayMs`
`static final float`
`swipeFactor`
`long`
`swipeStartTime`
`boolean`
`wasSpinOn`

## Constructor Summary

Constructors
Constructor
Description
`TouchHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkPaused(Viewer vwr)`
`void`
`nioSync(Viewer vwr, Map<String,Object> json)`
process touch or gesture commands driven by hardware.
`void`
`pauseScript(Viewer vwr, boolean isPause)`
`void`
`syncScript(Viewer vwr, String script)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### swipeCutoff

public static final float swipeCutoff

See Also:
  - Constant Field Values

### swipeCount

public static final int swipeCount

See Also:
  - Constant Field Values

### swipeDelayMs

public static final float swipeDelayMs

See Also:
  - Constant Field Values

### swipeFactor

public static final float swipeFactor

See Also:
  - Constant Field Values

### nFast

public int nFast

### previousMoveTime

public long previousMoveTime

### swipeStartTime

public long swipeStartTime

### latestMoveTime

public long latestMoveTime

### wasSpinOn

public boolean wasSpinOn

### isPaused

public boolean isPaused

## Constructor Details

### TouchHandler

public TouchHandler()

## Method Details

### pauseScript

public void pauseScript(Viewer vwr, boolean isPause)

### checkPaused

public void checkPaused(Viewer vwr)

### syncScript

public void syncScript(Viewer vwr, String script)

### nioSync

public void nioSync(Viewer vwr, Map<String,Object> json) throws Exception
process touch or gesture commands driven by hardware. From MolecularPlayground.

Parameters:
  `vwr` -
  `json` -
Throws:
  `Exception`